<div id="in8_page_<?php echo In8_Customer::$optionsTag; ?>" class="in8_page container-fluid">
    <div class="col-xs-6">
        <div class="well">
            <h4>Configurable options</h4>
            <form class="in8_ajax_form_save well" role="form">
                <div class="form-group">
                    <input type="checkbox" class="co_enable_customer_sync form-control" name="co[enable_customer_sync]" <?php
                        if ((isset($co_options['enable_customer_sync']) && $co_options['enable_customer_sync'] == 'on')) {
                            echo "checked";
                        }
                    ?>> 
                    <label>Enable Customer Sync</label>
                    <span class="woocommerce-help-tip" data-tip="Enable the customer sync/will not sync customers unless one of the bellow settings are on"></span>
                </div>
                <div class="form-group">
                    <input type="checkbox" class="co_enable_customer_sync form-control" name="co[enable_customer_sync_on_reg]" <?php
                        if ((isset($co_options['enable_customer_sync_on_reg']) && $co_options['enable_customer_sync_on_reg'] == 'on')) {
                            echo "checked";
                        }
                    ?>>
                    <label>Enable Registration Sync</label>
                    <span class="woocommerce-help-tip" data-tip="Syncs customer to NS on registration or when the user_register / woocommerce_created_customer hooks are being executed."></span>
                </div>
                <div class="form-group">
                    <input type="checkbox" class="co_enable_contact_sync form-control" name="co[enable_contact_sync]" <?php
                        if ((isset($co_options['enable_contact_sync']) && $co_options['enable_contact_sync'] == 'on')) {
                            echo "checked";
                        }
                    ?>>
                    <label>Enable Contact Sync</label>
                    <span class="woocommerce-help-tip" data-tip="checked=enabled, unchecked=disabled"></span>
                </div>
                <div class="form-group">
                    <input type="checkbox" class="co_enable_profile_change_sync form-control" name="co[enable_profile_change_sync]" <?php
                        if ((isset($co_options['enable_profile_change_sync']) && $co_options['enable_profile_change_sync'] == 'on')) {
                            echo "checked";
                        }
                    ?>>
                    <label>Enable My Account Sync</label>
                    <span class="woocommerce-help-tip" data-tip="Run the sync when the customer changes they're info on my account page."></span>
                </div>
                <div class="form-group">
                    <input type="checkbox" class="co_enable_wp_profile_change_sync form-control" name="co[enable_wp_profile_change_sync]" <?php
                        if ((isset($co_options['enable_wp_profile_change_sync']) && $co_options['enable_wp_profile_change_sync'] == 'on')) {
                            echo "checked";
                        }
                    ?>>
                    <label>Enable User Profile Sync</label>
                    <span class="woocommerce-help-tip" data-tip="Run the sync when the user information is changed on the dashboard profile."></span>
                </div>
				<div class="form-group">
                    <input type="checkbox" class="co_enable_new_address form-control" name="co[new_address]" <?php
                        if ((isset($co_options['new_address']) && $co_options['new_address'] == 'on')) {
                            echo "checked";
                        }
                    ?>>
                    <label>Always Add New Addresses</label>
                    <span class="woocommerce-help-tip" data-tip="Instead of search and matching addresses, always create new addresses and mark them as default."></span>
                </div>
                <div class="form-group">
                    <input type="checkbox" class="co_isperson form-control" name="co[disable_is_person]" <?php
                        if ((isset($co_options['disable_is_person']) && $co_options['disable_is_person'] == 'on')) {
                            echo "checked";
                        }
                    ?>> <label>Save customer as a Company</label>
                    <span class="woocommerce-help-tip" data-tip="Enabling this will create all customers as company. To make all customers as inviduals use special mapping fixed value : isperson = T"></span>
                </div>
                <div class="form-group">
                    <input class= "form-control" type="checkbox" name="co[currency]" <?php
                        if (isset($co_options['currency']) && $co_options['currency'] == 'on') {
                            echo "checked";
                        }
                    ?>> <label>Send currency with Customer</label>
                    <span class="woocommerce-help-tip" data-tip="Send currency to NetSuite with customer data. Needs Multi currency enabled in NetSuite."></span>
                </div>
                <div class="form-group">
                    <input class= "form-control" type="checkbox" name="co[search_include_phone]" <?php
                        if (isset($co_options['search_include_phone']) && $co_options['search_include_phone'] == 'on') {
                            echo "checked";
                        }
                    ?>> <label>Include Phone Number when searching customer</label>
                    <span class="woocommerce-help-tip" data-tip="If checked, existing customer search will include both email and customer phone number"></span>
                </div>
                <div class="form-group">
                    <input class= "form-control" type="checkbox" name="co[search_include_company]" <?php
                        if (isset($co_options['search_include_company']) && $co_options['search_include_company'] == 'on') {
                            echo "checked";
                        }
                    ?>> <label>Include Company Name when searching customer</label>
                    <span class="woocommerce-help-tip" data-tip="If checked, existing customer search will include both email and customer company namedata"></span>
                </div>
                <div class="form-group">
                    <input class= "form-control" type="checkbox" name="co[search_email_domain]" <?php
                        if (isset($co_options['search_email_domain']) && $co_options['search_email_domain'] == 'on') {
                            echo "checked";
                        }
                    ?>> <label>Enable Search Contact by email domain</label>
                    <span class="woocommerce-help-tip" data-tip="If checked, existing contact search will use the contact's email domain."></span>
                </div>
                <div class="form-group">
                    <label>Customers entitystatus for email domain search</label>
                    <input type="text" class="form-control" name="co[customers_entitystatus]" placeholder="13,15,20" value="<?php
			            if ((isset($co_options['customers_entitystatus']))) {
				            echo $co_options['customers_entitystatus'];
			            }
		            ?>">
                </div>
                
                    <div class="form-group">
                        <input class= "form-control" type="checkbox" name="co[enable_cybersource_tokenization]" <?php
				            if (isset($co_options['enable_cybersource_tokenization']) && $co_options['enable_cybersource_tokenization'] == 'on') {
					            echo "checked";
				            }
			            ?>> <label>Enable CyberSource Tokenization</label>
                    </div>
             
	            <?php if (in_array('in8sync-payments/in8sync-payments.php', apply_filters('active_plugins', get_option('active_plugins')))) { ?>
                    <div class="form-group">
                        <input class="form-control" type="checkbox" name="co[sync_get_auth]" <?php
				            if (isset($co_options['sync_get_auth']) && $co_options['sync_get_auth'] == 'on') {
					            echo "checked";
				            }
			            ?>> <label>Get Authorization in NetSuite</label>
                        <span class="woocommerce-help-tip" data-tip="Get authorization in NetSuite. Attention: Enabling this option can slow down the checkout process, as it needs to await the NetSuite response when placing the order."></span>
                    </div>
	            <?php } ?>
                
                <div class="form-group">
                    <input <?php
                        if (isset($co_options['enable_credit_card']) && $co_options['enable_credit_card'] == 'on') {
                            echo "checked";
                        }
                    ?> type="checkbox" name="co[enable_credit_card]" id="enable_credit_card" class="form-control"/>
                    <label for="enable_credit_card">Enable Credit Card Payment</label>
                    <span class="woocommerce-help-tip" data-tip="Send customer credit cards information to NetSuite. It will sync the credit card as the default credit card."></span>
                </div>
                <div class="form-group">
                    <label>
                        Select a Payment Gateway
                    </label>
                    <span class="woocommerce-help-tip" data-tip="If a order with selected payment gateway fails to make to netsuite then order is halted and customer is forced to select another payment gateway"></span>
                    <select class="form-control" id="in8_select_payment_gateway" name="co[selected_gateway]" <?php
                        if (!isset($co_options['enable_credit_card']) || $co_options['enable_credit_card'] != 'on') {
                            echo "disabled='disabled'";
                        }
                    ?>>
                        <option>Select a Payment Method</option>
                        <?php foreach ($plugin_gateways as $key => $allowed_gateway) { ?>
                                <option <?php
                                if (!$allowed_gateway['enabled']) {
                                    echo 'disabled';
                                }
                                ?> <?php
                                if ($allowed_gateway['enabled'] && isset($co_options['selected_gateway']) && $co_options['selected_gateway'] == $key) {
                                    echo "selected";
                                }
                                ?> value="<?php echo $key; ?>"><?php echo $allowed_gateway['title']; ?></option>
                                <?php } ?>
                    </select>
                </div>
                <div class="form-group">
                    <label>Allow these user roles</label>
                    <span class="woocommerce-help-tip" data-tip="Only these customer roles will be synced with NS"></span>
                    <select name="co[allowed_roles][]" multiple class="form-control">
                        <?php foreach ($roles as $key => $role) { ?>
                                <option <?php
                                if ($key == 'customer') {
                                    echo "disabled selected";
                                }
                                ?> <?php
                                if ($key != 'customer' && isset($co_options['allowed_roles']) && is_array($co_options['allowed_roles']) && in_array($key, $co_options['allowed_roles'])) {
                                    echo 'selected';
                                }
                                ?> value="<?php echo $key; ?>"><?php echo $role['name']; ?></option>
                                <?php } ?>
                    </select>
                </div>
                <div class="form-group">
                    <label>Sync these Payment methods after Payment Transaction</label>
                    <span class="woocommerce-help-tip" data-tip="This will send customer data to NS when payment is made"></span>
                    <select name="co[payment_method_check][]" multiple class="form-control">
                        <?php foreach ($active_payment_gateways as $key => $allowed_gateway) { ?>
                                <option <?php
                                if ($allowed_gateway['enabled'] && isset($co_options['payment_method_check']) && is_array($co_options['payment_method_check']) && in_array($key, $co_options['payment_method_check'])) {
                                    echo "selected";
                                }
                                ?> value="<?php echo $key; ?>"><?php echo $allowed_gateway['title']; ?></option>
                                <?php } ?>
                    </select>
                </div>
                <?php if (defined('MEMBERSHIP_PLUGIN_ENABLED')) { ?>
                        <br>
                        <div class="form-group">
                            <label>Membership plans mapping</label>
                            <span class="woocommerce-help-tip" data-tip="Map NetSuite membership plans to Woo membership plans"></span>
                            <table>
                                <thead>
                                    <tr>
                                        <th>Woo Membership Plan</th>
                                        <th>NetSuite Plan Internal Id</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    foreach ($membership_plans as $membership_plan) {
                                        $mapped_value = '';
                                        if (!empty($co_options['membership_post_id'])) {
                                            $index = array_search($membership_plan->id, $co_options['membership_post_id']);
                                            if ($index !== FALSE && isset($co_options['membership_mapped_netsuite_id'][$index])) {
                                                $mapped_value = $co_options['membership_mapped_netsuite_id'][$index];
                                            }
                                        }
                                        ?>
                                        <tr>
                                            <td>
                                                <input class="form-control" readonly value="<?php echo $membership_plan->name; ?>">
                                                <input type="hidden" name="co[membership_post_id][]" value="<?php echo $membership_plan->id; ?>">
                                            </td>
                                            <td>
                                                <input class="form-control" name="co[membership_mapped_netsuite_id][]" value="<?php echo $mapped_value; ?>">
                                            </td>
                                        </tr>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                    <?php } ?>

				<div class="form-group">
					<input class= "form-control" type="checkbox" name="co[pricing_level]" <?php
			            if (  (isset($co_options['pricing_level']) && $co_options['pricing_level'] == 'on') ) {
				            echo "checked";
			            }
		            ?>> <label>Enable Wholesale Pricing</label>
				</div>
				<div class="form-group" style="margin: 20px">
					<input class= "form-control" type="checkbox" name="co[wholesale_qty_pricing]" <?php
			            if (  (isset($co_options['wholesale_qty_pricing']) && $co_options['wholesale_qty_pricing'] == 'on') ) {
				            echo "checked";
			            }
		            ?>> <label>Wholesale QTY Pricing</label>
					<span class="woocommerce-help-tip" data-tip="If only enabling Wholesale Qty pricing, When we sent the QTY pricing, automatically enables wholesale pricing as well for that pricing level"></span>
				</div>
				<div class="form-group">
					<input class= "form-control" type="checkbox" name="co[item_pricing]" <?php
			            if ( (isset($co_options['item_pricing']) && $co_options['item_pricing'] == 'on')) {
				            echo "checked";
			            }
		            ?>> <label>Enable Item Pricing</label>
				</div>
				<div class="form-group">
					<input class= "form-control" type="checkbox" name="co[group_pricing]" <?php
			            if (  (isset($co_options['group_pricing']) && $co_options['group_pricing'] == 'on') ) {
				            echo "checked";
			            }
		            ?>> <label>Enable Group Pricing</label>
				</div>
				<div class="form-group">
					<input class= "form-control" type="checkbox" name="co[in8_qty_pricing]" <?php
			            if (  (isset($co_options['in8_qty_pricing']) && $co_options['in8_qty_pricing'] == 'on') ) {
				            echo "checked";
			            }
		            ?>> <label>QTY Pricing</label>
				</div>
				<div class="form-group">
					<input class= "form-control" type="checkbox" name="co[show_qty_pricing_table]" <?php
			            if (  (isset($co_options['show_qty_pricing_table']) && $co_options['show_qty_pricing_table'] == 'on') ) {
				            echo "checked";
			            }
		            ?>> <label>Show QTY pricing table on product page</label>
				</div>
				<div class="form-group">
					<input class= "form-control" type="checkbox" name="co[use_dynamic_pricing_on_product]" <?php
			            if (  (isset($co_options['use_dynamic_pricing_on_product']) && $co_options['use_dynamic_pricing_on_product'] == 'on') ) {
				            echo "checked";
			            }
		            ?>> <label>Update product price based on dynamic pricing. <strong>[EXPERIMENTAL]</strong></label>
					<span class="woocommerce-help-tip" data-tip="This feature is experimental. It only works with the default woocommerce template format, if you run into any issues contact in8sync."></span>
				</div>
				<div class="form-group">
					<input class= "form-control" type="checkbox" name="co[sale_pricing_priority]" <?php
			            if (  (isset($co_options['sale_pricing_priority']) && $co_options['sale_pricing_priority'] == 'on') ) {
				            echo "checked";
			            }
		            ?>> <label>Enable Sale Price</label>
					<span class="woocommerce-help-tip" data-tip="If enabled, this will make sure the sale price takes priority over wholesale pricing, item pricing...">
				</div>

				<div class="form-group">
					<input class= "form-control in8HideBasedOnValue" data-val="1" data-target="#in8ShowPricingMessage" type="checkbox" name="co[in8_pricing_message_enable]" <?php
			            if (  (isset($co_options['in8_pricing_message_enable']) && $co_options['in8_pricing_message_enable'] == 'on') ) {
				            echo "checked";
			            }
		            ?>> <label>Show pricing message</label>
					<input id="in8ShowPricingMessage" class= "form-control" type="text" name="co[in8_pricing_message]" value="<?php
			            echo empty($co_options['in8_pricing_message']) ? 'Prices reflected in cart.' : stripslashes($co_options['in8_pricing_message']);
		            ?>" />
				</div>

				<div>
					<div class="form-group">
						<input class= "form-control in8HideBasedOnValue" data-val="1" data-target="#in8AccessControlMessage" type="checkbox" name="co[access_control]" <?php
							if ( (isset($co_options['access_control']) && $co_options['access_control'] == 'on')) {
								echo "checked";
							}
						?>> <label>Enable Access Control</label>
						<span class="woocommerce-help-tip" data-tip="Requires you to map give_access from NS to the website as T or F. Only users with give_access as T will be able to log in."></span>
					</div>
					<div class="form-group" id="in8AccessControlMessage">
						<label>Message for users without access:</label><br>
						<input class="form-control" type="text" name="co[access_control_message]" value="<?php
							echo empty($co_options['access_control_message']) ? 'Sorry! Your account does not have access!' : stripslashes($co_options['access_control_message']);
						?>">
					</div>
				</div>

				<div class="form-group">
					<label>Tera Wallet Sync as</label>
					<select class="form-control" name="co[in8_tera_wallet_sync_as]">
						<option value=""></option>
						<?php
							$tera_wallet_options = [
								'line_item' => 'Line Item',
								'header' => 'Discount Item',
							];
							
							foreach($tera_wallet_options as $key => $option):
						?>
								<option value="<?=$key?>"  <?= (isset($co_options['in8_tera_wallet_sync_as']) && $co_options['in8_tera_wallet_sync_as'] == $key) ? 'selected' : '' ?>><?= $option ?></option>
						<?php endforeach; ?>
					</select>
					<input class="form-control" type="text" name="co[in8_tera_wallet_item_id]" placeholder="Item id" value="<?php
						echo !empty($co_options['in8_tera_wallet_item_id']) ? stripslashes($co_options['in8_tera_wallet_item_id']) : '';
					?>">
				</div>

				<div class="form-group">
					<input class="form-control in8HideBasedOnValue" data-val="1" data-target="#in8CustomerPrefixExternalId" type="checkbox" name="co[use_external_id]" <?php
			            if ((isset($co_options['use_external_id']) && $co_options['use_external_id'] == 'on')) {
				            echo "checked";
			            }
		            ?>> <label>Send externalid to NS</label>
					<span class="woocommerce-help-tip" data-tip="Send externalid to stop duplicates from being created."></span>
				</div>

				<div id="in8CustomerPrefixExternalId">
					<div class="form-group">
						<label>Customer Prefix for ExternalId:</label><br>
						<input class="form-control" type="text" name="co[prefix_customer_externalid]" style="width: 300px" value="<?php
							if (isset($co_options['prefix_customer_externalid'])) {
								echo empty($co_options['prefix_customer_externalid']) ? 'wc_' : $co_options['prefix_customer_externalid'];
							}
						?>">
					</div>
					<div class="form-group">
						<label>Contact Prefix for ExternalId:</label><br>
						<input class="form-control" type="text" name="co[prefix_contact_externalid]" style="width: 300px" value="<?php
							if (isset($co_options['prefix_contact_externalid'])) {
								echo empty($co_options['prefix_contact_externalid']) ? 'wc_' : $co_options['prefix_contact_externalid'];
							}
						?>">
					</div>
				</div>

				<div class="form-group">
					<input class="form-control" type="checkbox" name="co[sync_async]" <?php
			            if ( empty($co_options) || (isset($co_options['sync_async']) && $co_options['sync_async'] == 'on') ) {
				            echo "checked";
			            }
		            ?>> <label>Sync customers in background (recommended)</label>
				</div>
	
	            <?php do_action('in8_customer_settings_configurable_after', $co_options) ?>
				<input type="hidden" name="action" value="<?php echo In8_Customer::getOptionsTagCO(); ?>" >
                <button class="in8_button btn btn-success btn-lg">Save</button>
            </form>
        </div>
        <div class="well">
            <h4>NetSuite Customer Fields Mapping</h4>
            <form class="in8_ajax_form_save well" role="form">
                <div class="row">
                    <table id="netsuite_customer_mapping" class="table">

                        <thead>
                            <tr>
                                <th>NetSuite Field</th>
                                <th>Value</th>
                                <th></th>
                                <th>Exclude in update</th>
                                <th></th>   
                            </tr>
                        </thead>
                        <tbody>
                            <?php if (!empty($options['mapping_key']) && !empty($options['mapping_value'])) { ?>
                                    <?php for ($i = 0; $i < count($options['mapping_key']); $i++) { ?>
                                        <tr id="<?php echo $i; ?>">
                                            <td>
                                                <input class="form-control input-long" name="mapping_key[]" value="<?php echo $options['mapping_key'][$i]; ?>">
                                            </td>
                                            <td>
                                                <input class="form-control input-sm" name="mapping_value[]" value="<?php echo $options['mapping_value'][$i]; ?>">
                                            </td>
                                            <td>
                                                <?php if (isset($helptext[$options['mapping_key'][$i]])) { ?>
                                                    <span class="woocommerce-help-tip" data-tip="<?php echo $helptext[$options['mapping_key'][$i]]; ?>"></span>
                                                <?php } ?>
                                            </td>
                                            <td><input type="checkbox" <?php
                                                if (isset($options['mapping_update'][$i])) {
                                                    echo "checked";
                                                }
                                                ?> name="mapping_update[<?php echo $i; ?>]" class="form-control"></td>
											<td><span class="btn btn-danger removeRow">X</span></td>
                                        </tr>
                                    <?php } ?>
                                <?php } else { ?>
                                    <tr id="1">
                                        <td>
                                            <input class="form-control input-sm input-long" name="mapping_key[]">
                                        </td>
                                        <td>
                                            <input class="form-control input-sm" name="mapping_value[]">
                                        </td>
                                        <td>
                                            <input type="checkbox" name="mapping_update[0]" class="form-control">
                                        </td>
                                    </tr>
                                <?php } ?>
                        </tbody>
                    </table>
                </div>
                <input type="button" class="btn btn-primary" value="(+) Add More" id="addMoreCustomerMapingRows" style="float:right;" />
                <input type="hidden" name="action" value="<?php echo In8_Customer::getOptionsTag(); ?>">
                <button class="in8_button btn btn-success btn-lg">Save</button>
            </form>
        </div>

    </div>

    <div class="col-xs-6">
        <div class="well">
            <form class="in8_ajax_form_save clearfix" role="form">
                <h4>Special Mapping</h4>
                <?php
                    if (!empty($cm_options)) {
                        foreach ($cm_options as $key => $cm_option) {
                            $index = $key + 1;
                            ?> 
                            <div class="well" data-index="<?php echo $index; ?>">
                                <table class="netsuite_customers_conditional_mapping table" cellspacing="0" cellpadding="0">
                                    <tbody>
                                    <span class="col-xs-offset-4">
                                        <input type="checkbox" <?php
                                        if (isset($cm_option['exlcude_in_update']) && $cm_option['exlcude_in_update']) {
                                            echo "checked";
                                        }
                                        ?> name="cm[<?php echo $index; ?>][exlcude_in_update]" class="form-control update_checkbox" />
                                        <label>Exclude in update</label>
                                    </span>

                                    <?php if (isset($cm_option['required']) && $cm_option['required'] == 1) { ?>    
                                        <span class="text-danger requiredCM pull-right">(*) Required Field</span>  
                                    <?php } else { ?>
                                        <span style="float:right;" class='btn btn-danger removeCustomerCMRow'>X</span>                       
                                    <?php } ?>
                                    <tr>
                                        <td>
                                            <span class="h5">Operation</span><br />
                                            <select class="cm_customer_operator input-sm" name="cm[<?php echo $index; ?>][operator]">
                                                <option value="0">-- select operator --</option>
                                                <option value="1" <?php
                                                if ($cm_option['operator'] == 1) {
                                                    echo "selected";
                                                }
                                                ?>>Set NetSuite field to fixed value based on WC field value</option>
                                                <option value="2" <?php
                                                if ($cm_option['operator'] == 2) {
                                                    echo "selected";
                                                }
                                                ?>>Set NetSuite field to fixed value</option>
                                                <option value="3" <?php
                                                if ($cm_option['operator'] == 3) {
                                                    echo "selected";
                                                }
                                                ?> >Map WC field to NetSuite field</option>
                                                <option value="4" <?php
                                                if ($cm_option['operator'] == 4) {
                                                    echo "selected";
                                                }
                                                ?> >Map WC field to NetSuite field based on WC field value</option>
                                            </select>
                                        </td>
                                        <?php if ($cm_option['operator'] != 2) { ?>
                                            <td>
                                                <span class="h6">WC field source</span><br />
                                                <select class="cm_customer_type input-sm" name="cm[<?php echo $index; ?>][type]">
                                                    <option value="0">-- select field type --</option>
                                                    <option value="1" <?php
                                                    if ($cm_option['type'] == 1) {
                                                        echo "selected";
                                                    }
                                                    ?>>User field</option>
                                                    <option value="2" <?php
                                                    if ($cm_option['type'] == 2) {
                                                        echo "selected";
                                                    }
                                                    ?>>User meta field</option>
                                                    <option value="3" <?php
                                                    if ($cm_option['type'] == 3) {
                                                        echo "selected";
                                                    }
                                                    ?>>Order field</option>

                                                    <option value="4" <?php
                                                    if ($cm_option['type'] == 4) {
                                                        echo "selected";
                                                    }
                                                    ?>>Order meta field</option>

                                                    <option value="5" <?php
                                                    if ($cm_option['type'] == 5) {
                                                        echo "selected";
                                                    }
                                                    ?>>Gravity Form Field</option>
                                                </select>
                                            </td>

                                        <?php } ?>
                                    </tr>
                                    <?php echo $cm_option['template']; ?>
                                    </tbody>
                                </table>
                            </div>

                        <?php } ?>
                    <?php } else { ?>
                        <div class="well" data-index="1">
                            <table class="netsuite_customers_conditional_mapping table" cellspacing="0" cellpadding="0">
                                <tbody>
                                <span style="float:right;" class='btn btn-danger removeCustomerCMRow'>X</span>
                                <tr>
                                    <td>
                                        <span class="h5">Operation</span><br />
                                        <select class="cm_customer_operator input-sm" name="cm[1][operator]">
                                            <option value="0" selected>-- select operator --</option>
                                            <option value="1">Set NetSuite field to fixed value based on WC field value</option>
                                            <option value="2">Set NetSuite field to fixed value</option>
                                            <option value="3">Map WC field to NetSuite field</option>
                                            <option value="4">Map WC field to NetSuite field based on WC Field Value</option>
                                        </select>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    <?php } ?>
                <input type="button" class="btn btn-primary" value="(+) Add More" id="addMoreCustomerConditionalMappingRows" style="float: right; margin-top: 10px;" />
                <input type="hidden" name="action" value="<?php echo ConditionalMapping::$conditional_mapping_ajax_action; ?>" >
                <input type="hidden" name="main_action" value="In8_Customer" >
                <button class="in8_button btn btn-success btn-lg">Save</button>
                <hr />
            </form>
        </div>

        <div>
            <div class="btn btn-primary" id="getFormsPaymentFromNS">Load Internal Ids From NetSuite</div>
            <span class="woocommerce-help-tip" data-tip="Load Custom Forms, Payment Methods from NetSuite"></span>
            <br>
            <br>
            <div id="formsAndPaymentMethods">

                <?php if (isset($customer_forms)) { ?>
                        <div class="well">
                            <table class="table table-responsive table-bordered">
                                <caption><h4>NetSuite Customer Forms</h4></caption>
                                <thead class="warning">
                                <th>Name</th>
                                <th>Internal ID</th>
                                </thead>
                                <tbody>
                                    <?php foreach ($customer_forms as $customer_form) { ?>
                                        <tr>
                                            <td><?php echo $customer_form['text']; ?></td>
                                            <td><?php echo $customer_form['internalid']; ?></td>
                                        </tr>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                    <?php } ?>

                <?php if (isset($payment_methods)) { ?>
                        <div class="well">
                            <table class="table table-responsive table-bordered">
                                <caption><h4>NetSuite Payment Methods</h4></caption>
                                <thead class="warning">
                                <th>Name</th>
                                <th>Internal ID</th>
                                </thead>
                                <tbody>
                                    <?php foreach ($payment_methods as $payment_method) { ?>
                                        <tr>
                                            <td><?php echo $payment_method['name']; ?></td>
                                            <td><?php echo $payment_method['internalId']; ?></td>
                                        </tr>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                    <?php } ?>
            </div>
        </div>
    </div>


</div>
<script src="<?php echo In8_Customers_URL; ?>inc/assets/js/script.js"></script>